#!/usr/bin/python

from nose.tools import *
import subprocess


def get_std(test_file, expected):
    process = subprocess.Popen(
        ["./webinject.pl", test_file],
        stdout=subprocess.PIPE,
        stderr=subprocess.PIPE
    )
    out, err = process.communicate()
    code = process.returncode
    eq_(code, expected, "Failed with STDOUT: \n" + out + ".\nSTDERR: \n" + err)


def test_ok():
    get_std("test/fixtures/test_ok.xml", 0)


def test_critical():
    get_std("test/fixtures/test_bogus.xml", 2)
